diff --git a/module/zfs/zfs_vfsops.c b/module/zfs/zfs_vfsops.c
index 0774b1763..922d28f33 100644
--- a/module/zfs/zfs_vfsops.c
+++ b/module/zfs/zfs_vfsops.c
@@ -2182,11 +2182,7 @@ zfs_vfs_getattr(struct mount *mp, struct vfs_attr *fsap, __unused vfs_context_t
 
 	ZFS_ENTER(zfsvfs);
 
-	/* Finder will show the old/incorrect size, we can force a sync of the pool
-	 * to make it correct, but that has side effects which are undesirable.
-	 */
-	/* txg_wait_synced(dmu_objset_pool(zfsvfs->z_os), 0); */
-
+	txg_wait_synced(dmu_objset_pool(zfsvfs->z_os), 0);
 	dmu_objset_space(zfsvfs->z_os,
 	    &refdbytes, &availbytes, &usedobjs, &availobjs);
 
